Name:           libu2f-host
Version:        1.0.0
Release:        1%{?dist}
Summary:        Yubico Universal 2nd Factor (U2F) Host C Library

License:        LGPLv2+
URL:            http://developers.yubico.com/%{name}/
Source0:        http://developers.yubico.com/%{name}/releases/%{name}-%{version}.tar.xz

BuildRequires:  json-c-devel hidapi-devel
#Requires:	u2f-hidraw-policy

%description
libu2f-host provides a C library that implements the host-side of the
U2F protocol. There are APIs to talk to a U2F device and perform the U2F
Register and U2F Authenticate operations.

%package -n u2f-host
License:        GPLv3+
Summary:        Command-line tool for U2F devices
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n u2f-host
u2f-host provides a command line tool that implements the host-side of the
U2F protocol.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the header files needed to develop applications that
use libu2f-host.


%prep
%setup -q

%build
%configure 

make %{?_smp_mflags}

%check
LD_LIBRARY_PATH="$(pwd)/u2f-host/.libs" make check

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc COPYING.LGPLv2 README AUTHORS NEWS THANKS ChangeLog doc/*
%{_libdir}/*.so.*

%files -n u2f-host
%doc COPYING
%{_bindir}/u2f-host
%{_mandir}/man1/u2f-host.1*

%files devel
%doc %{_datadir}/gtk-doc
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Sat Dec 5 2015 Milo Oostergo <milo@oostergo.net> - 1.0.0-1
- Initial package

